Page MenuHomePhabricator

rust-nodemap: automatically use the rust index for persistent nodemap
ClosedPublic

Authored by Alphare on Feb 26 2020, 12:37 PM.

Details

Summary

The persistent nodemap requires the rust index to be used to provides any gains.
So we automatically enable it for revlog using the persistent nodemap. We keep
it off for other revset because now that the rust revlog fully initialise the
nodemap using it everywhere introduce a fairly significant regression (eg: hg
diff moving from 0.8s to 2.3s on mozilla-try)

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

Alphare created this revision.Feb 26 2020, 12:37 PM
Alphare updated this revision to Diff 20356.Feb 27 2020, 4:15 AM
marmoute updated this revision to Diff 20579.

eventless rebase past D8255

Alphare updated this revision to Diff 20662.Mar 10 2020, 6:52 AM
marmoute updated this revision to Diff 20679.Mar 10 2020, 9:35 PM

rebase above latest default up to landed-D8182

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.